#include <stdio.h>

int main()
{
    long long p,q,r,L,R;
    scanf("%lld%lld%lld%lld%lld",&p,&q,&r,&L,&R);
    long long br=0;
    for (long long i=L;i<=R;i++)
        if ((i%p==0 && i%q==0)||(i%q==0 && i%r==0)||(i%p==0 && i%r==0)) br++;
    printf("%lld",br);
    return 0;
}